Subject: Re: bug#12016: 24.1; ff-find-other-file is not considering cc-other-file-alist for .cxx files

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Jul 2021 00:54:04 +0200

Surya Gullapalli <[email-masked]> writes:

> I've set cc-other-file-alist like this
>
> (setq cc-other-file-alist
>       '(
>         ("\\.cxx$" my-cxx-hxx-convert-fun) 
>         ("\\.hxx$" my-cxx-hxx-convert-fun) 
>         ("\\.c$" (".h"))
>         ("\\.h$" (".c" ".cc" ".C" ".CC" ".cxx" ".cpp"))
>         ))
>
> When calling ff-find-other-file for a .hxx file, my-cxx-hxx-convert-fun
> is getting called properly and I'm getting the expected list of
> items. But when called ff-find-other-file for .cxx file,
> my-cxx-hxx-convert-fun is not getting called at all and hence emacs is
> uanble to determine the candidate files.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm unable to reproduce this problem in Emacs 25.1 (and Emacs 28).

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no